/***************************************************************************
 *   Copyright (C) 2005 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 *   In addition, as a special exception, the copyright holders give       *
 *   permission to link the code of this program with any edition of       *
 *   the Qt library by Trolltech AS, Norway (or with modified versions     *
 *   of Qt that use the same license as Qt), and distribute linked         *
 *   combinations including the two.  You must obey the GNU General        *
 *   Public License in all respects for all of the code used other than    *
 *   Qt.  If you modify this file, you may extend this exception to        *
 *   your version of the file, but you are not obligated to do so.  If     *
 *   you do not wish to do so, delete this exception statement from        *
 *   your version.                                                         *
 ***************************************************************************/

#include "prefs-base.h"

class QString;
class QStringList;
class KProcess;
class KalvaNewStuff;
class KDirWatch;

class Prefs : public Prefs_base
{
public:
	Prefs();
	virtual void loadAudiodevList();
	virtual void loadChlstChooser();

public slots:
	virtual void aumixExited(KProcess *proc);
	virtual void setChannellist(const QString &);
	virtual void setAudiodevList(KProcess *,
				char*  stdOutAudiodevs,
				int);

private:
	QStringList m_audiodevs;
	QString     m_chlsts_dir;
	KDirWatch*  kdw;
	KProcess*   m_proc;
	KalvaNewStuff*  m_newStuff;

private slots:
	virtual void slotDeleteChlst();
	virtual void slotLoadChlstChooser( const QString &path );
	virtual void slotDownloadChlst();
	virtual void slotUploadChlst();
	virtual void slotSetCrop( const QString & res );
};
